Subject: Re: 405gp PCI?

From: John Cagle <[email-masked]>
Date: Tue, 1 May 2001 17:39:01 -0700

On Tue, May 01, 2001 at 04:44:37PM -0700, Frank Rowand wrote:
>
> That's the problem....  That version of the OpenBios changed the PLB to
> PCI address mapping (the mapping is in the PMM0 registers).  The kernel
> expects PLB address 0x8000'0000 to map to PCI address 0x0000'0000, and the
> PMM registers should map PCI address 0x0000'0000 to PLB address 0x0000'0000.
> A near future kernel will fix up the PTM and PMM registers (on the Walnut
> only) to match what the kernel expects.
>

Until a newer kernel is released by Monta Vista, you can use setpci to
change the settings of the PCI bridge as follows:

  setpci -s 0:0.1 14.L=0x8

Regards,
John

------------------------------
John Cagle <[email-masked]>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/